# Get Orderbook

### GET /ft/orders/:chainId/orderbook/

#### Examples

{% tabs %}
{% tab title="curl" %}

```bash
curl -X GET \
  'https://api.paraswap.io/ft/orders/137/orderbook/?makerAsset=0x0d500b1d8e8ef31e21c99d1db9a6444d3adf1270&takerAsset=0x42d61d766b85431666b39b89c43011f24451bff6'
```

{% endtab %}

{% tab title="Python" %}

```python
MAKER_ASSET = "0x0d500b1d8e8ef31e21c99d1db9a6444d3adf1270"
TAKER_ASSET = "0x8f3cf7ad23cd3cadbd9735aff958023239c6a063"

network = Network.Polygon

api_url = "https://api.paraswap.io/"

# get ftApi object instance
# fungible api is a wrapper to our limit orders api
ftApi = create_fungible_api(network, api_url)

orderbook = ftApi.get_orderbook(MAKER_ASSET, TAKER_ASSET)

print(orderbook)
```

{% endtab %}
{% endtabs %}

#### Query parameters:

`makerAsset`: address of an ERC20 token

`takerAsset`: address of an ERC20 token

#### Response

{% content-ref url="../../data-structure-in-our-centralized-system" %}
[data-structure-in-our-centralized-system](https://developers.velora.xyz/api/augustusrfq/data-structure-in-our-centralized-system)
{% endcontent-ref %}

This is returning you all the orders which respect `makerAsset == makerAsset` and `takerAsset == takerAsset`.

```json
{
	"success": true,
	"orders": [
		{
			"expiry": 0,
			"createdAt": 1663770783,
			"updatedAt": 1663770840,
			"transactionHash": "0xb0ec72d4b061a16e2bedad7153c6252f1d5ec21f1f88027f9cd465fa4cb19740",
			"chainId": 137,
			"nonceAndMeta": "1371981144015609647766132190312392568087326926048459362461024256",
			"maker": "0x05182e579fdfcf69e4390c3411d8fea1fb6467cf",
			"taker": "0x0000000000000000000000000000000000000000",
			"takerFromMeta": "0x0000000000000000000000000000000000000000",
			"makerAsset": "0x0d500b1d8e8ef31e21c99d1db9a6444d3adf1270",
			"takerAsset": "0x42d61d766b85431666b39b89c43011f24451bff6",
			"makerAmount": "1000000000000000",
			"fillableBalance": "116228613935036",
			"swappableBalance": "116228613935036",
			"makerBalance": "116228613935036",
			"isFillOrKill": false,
			"takerAmount": "25811200000000000",
			"signature": "0x4738ef41c95b11ae409eb605399b747357061478ebcc6eefb92ae50976135ac41fce9d04dfaa2ba4e0fdd37ca407ca0f3dc68acad736588d3af8f885492c9f0c1b",
			"orderHash": "0x9b52dd896e283acef9033f7a3079f2c656d109941f22d8be2144ae21857b30e6",
			"permitMakerAsset": null,
			"type": "LIMIT",
			"state": "PENDING"
		}
	]
}
```
